<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Array.aspx.vb" Inherits="Array_example" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Arrays</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h1>One-dimensional and multidimensional arrays</h1>
    An array is a zero-based list with multiple dimensions that can be created from any datatype
    like string, integer or object. When you create an array you must set the size in every dimension
    either by declaring the size (Dim Array(9,3) As String) or by giving data to the Array 
    (Dim Array As String() = SomeOnedimensionalDataList or Dim Array() As String = New String() {1, 5, 60, 555}). When you create a one-dimensional
    array you use empty brackets () and when you create a multidimensional array you
    separate each dimension by a comma like (D1,D2,D3).<br />
    <br />
    In this example we use data from a one-dimensional array and a two-dimensional array
    that are returned from functions in the HeadCategories class, this class are located
    in the "App_Code" folder. More examples of arrays can be found in the code page
    for this form in the "ArrayExample" subroutine (Sub).<br />
    <br />
    Enter a id number for a headcategory: <asp:TextBox ID="txtInputHeadId" runat="server" Text="1" Width="115px"></asp:TextBox><br />
    <br />
    <asp:Button ID="btnGetDataFrom1DArray" runat="server" Text="Get data from a one-dimensional array" Width="400px" /><br />
    <br />
    <table style="width:600px">
        <tr>
            <td style="width: 30%">Headcategory id:</td>
            <td style="width: 70%"><asp:TextBox ID="txtHeadId" ReadOnly="true" runat="server" Width="95%"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 30%">Linkname:</td>
            <td style="width: 70%"><asp:TextBox ID="txtLinkName" ReadOnly="true" runat="server" Width="95%"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 30%">Description:</td>
            <td style="width: 70%"><asp:TextBox ID="txtDescription" ReadOnly="true" runat="server" Width="95%"></asp:TextBox></td>
        </tr>
    </table><br />
    <asp:Button ID="btnSelectAllFrom2DArray" runat="server" Text="Get data from a 2D Array" Width="400px" /><br /><br />
    
    <asp:Table ID="ArrayTable" runat="server">
    </asp:Table>
    </div>
    </form>
</body>
</html>
