Imports System.Data
Imports ProductList

Partial Class Array_example
    Inherits System.Web.UI.Page

    Protected Sub btnGetDataFrom1DArray_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnGetDataFrom1DArray.Click

        ' Declare SelectARow as a new instance of the HeadCategories class without parameters in the constructor
        Dim SelectARow As New HeadCategories()

        ' Declare a string array, the size of the array are determined when data are supplied to the array in the
        ' step below.
        Dim SingleRowArray() As String

        ' Call the array function to select one row and supply a parameter representing HeadId, the returned value
        ' are stored in the SingleRowArray.
        SingleRowArray = SelectARow.SelectOneRowToArray(Convert.ToInt32(txtInputHeadId.Text))

        ' Get HeadId, LinkName and Description from the string array
        txtHeadId.Text = SingleRowArray(0)
        txtLinkName.Text = SingleRowArray(1)
        txtDescription.Text = SingleRowArray(2)

    End Sub

    Protected Sub btnSelectAllFrom2DArray_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSelectAllFrom2DArray.Click

        ' Declare SelectAllFrom2DArray as a new instance of the HeadCategories class
        Dim SelectAllFrom2DArray As New HeadCategories()

        ' Call the method SelectAllTo2DArray in the HeadCategories class an copy the returned value to a
        ' 2-dimensional StringArray
        Dim TwoDimensionalArray As String(,) = SelectAllFrom2DArray.SelectAllTo2DArray()

        ' Declare variables for rows and cells that will be used to add rows and cells to the ArrayTable
        Dim tRow As TableRow
        Dim tCell As TableCell

        ' Create a new TableHeaderRow in the ArrayTable
        Dim hRow As New TableHeaderRow
        ArrayTable.Rows.Add(hRow)

        ' Create and add the first cell to the TableHeaderRow
        tCell = New TableCell
        tCell.Text = "Id"
        hRow.Cells.Add(tCell)

        ' Create and add the second cell to the TableHeaderRow
        tCell = New TableCell
        tCell.Text = "Linkname"
        hRow.Cells.Add(tCell)

        ' Create and add the third cell to the TableHeaderRow
        tCell = New TableCell
        tCell.Text = "Description"
        hRow.Cells.Add(tCell)

        ' Get the total number of rows in the 2D array minus 1 (a 0-based index)
        Dim RowsInArray As Int32 = TwoDimensionalArray.GetLength(0) - 1

        ' Declare Row as an integer
        Dim Row As Int32

        ' Loop through the rows in the TwoDimensionalArray, add rows to the ArrayTable and add cells in each
        ' row.
        For Row = 0 To RowsInArray
            ' Create and add a new row
            tRow = New TableRow
            ArrayTable.Rows.Add(tRow)

            ' Create and add a new cell
            tCell = New TableCell
            tCell.Text = TwoDimensionalArray(Row, 0)
            tRow.Cells.Add(tCell)

            ' Create and add a new cell
            tCell = New TableCell
            tCell.Text = TwoDimensionalArray(Row, 1)
            tRow.Cells.Add(tCell)

            ' Create and add a new cell
            tCell = New TableCell
            tCell.Text = TwoDimensionalArray(Row, 2)
            tRow.Cells.Add(tCell)

        Next Row

    End Sub

    Protected Sub ArrayExample()

        ' Create a one-dimensional String array with the size of 10 values (index from 0 to 9)
        Dim Words(9) As String
        ' Set values in the array
        Words(0) = "Tree"
        Words(1) = "Pants"
        Words(2) = "Car"
        Words(3) = "Sun"
        Words(4) = "Moon"
        Words(5) = "Desk"
        Words(6) = "Rest"
        Words(7) = "Market"
        Words(8) = "Fun"
        Words(9) = "Window"

        ' Get a value (Moon) from the Words Array
        Dim OneWord As String = Words(4)

        ' Create a one-dimensional String array with the size of 3 values (index from 0 to 2)
        Dim Names() As String = New String() {"Fred", "Jon", "Carl"}

        ' Create a one-dimensional Integer array with the size of 3 values (index from 0 to 2)
        Dim Numbers(2) As Int32
        Numbers(0) = 1
        Numbers(1) = 568
        Numbers(2) = 879

        ' Create a two-dimensional Integer array with 3 rows and 2 columns
        Dim TwoDimensionalArray(2, 1) As Int32

        ' Set som values in the TwoDimensionalArray
        TwoDimensionalArray(0, 0) = 1
        TwoDimensionalArray(0, 1) = 5
        TwoDimensionalArray(1, 0) = 78
        TwoDimensionalArray(1, 1) = 45
        TwoDimensionalArray(2, 0) = 899
        TwoDimensionalArray(2, 1) = 642

        ' Get a value (78) from the TwoDimensionalArray
        Dim OneNumber As String = Convert.ToString(TwoDimensionalArray(1, 0))

    End Sub
End Class
